Page({
  data: {
    title: '兑换成功',
    desc: '',
    isVirtual: false,
    desc1: '在个人中心->专享劵，查看已兑换的劵。',
    desc2:
      '请留意微信服务通知内 小程序TAMRON的订阅消息，查收实物商品的邮寄情况。',
    desc3:
      '专属礼品已兑换，请留意微信服务通知内 小程序 TARMON 的订阅消息，查收专属礼品的邮寄情况。',
    action: 'navigateBackToMall',
    btnTitle: '返回',
    isHightlight: false
  },

  onLoad(options) {
    if (options.goods) {
      const goods = JSON.parse(options.goods)
      let desc = this.data.desc1
      if (goods.only_for_member) {
        desc = this.data.desc3
      } else if (goods.good_type === 0) {
        desc = this.data.desc2
      }
      this.setData({
        isVirtual: goods.good_type === 1,
        desc
      })
    } else {
      const eventChannel = this.getOpenerEventChannel()
      const that = this
      eventChannel.on('acceptDataFromOpenerPage', data => {
        that.setData({
          title: data.title,
          desc: data.desc,
          action: 'navigateToMine',
          btnTitle: data.btnTitle,
          isHightlight: data.isHightlight
        })
      })
    }
  },

  navigateToMine() {
    wx.switchTab({
      url: '/pages/member/mine/mine'
    })
  },

  navigateBackToMall() {
    wx.navigateBack({
      delta: 2
    })
  },

  navigateToVoucher() {
    wx.redirectTo({
      url: '/pages/member/mine/voucher/voucher'
    })
  },

  officialAccountError(e) {
    console.log(e)
  }
})
